cdac.medinfo.sdk.hl7282.baselibs.segments

## Class SDD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.SDD

- All Implemented Interfaces:
    ISegment

      public class SDD
      extends Segment

  SDD - Sterilization Device Data Segment

  The SDD segment contains the attributes of an instance of a cycle that provides sterilization or decontamination of medical supplies.

  Represents an HL7 SDD message segment. This segment has the following fields:

  SDD-1 : Lot Number (EI) Optional
  SDD-2 : Device Number (EI) Optional
  SDD-3 : Device Name (ST) Optional
  SDD-4 : Device Data State (CWE) Optional
  SDD-5 : Load Status (CWE) Optional
  SDD-6 : Control Code(NM) Optional
  SDD-7 : Operator Name (ST) Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SDD()` Constructs the SDD segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NM` | `getControlCode()` Retrieves the Control Code.
    `CWE` | `getDeviceDataState()` Retrieves the Device Data State.
    `ST` | `getDeviceName()` Retrieves the Device Name.
    `EI` | `getDeviceNumber()` Retrieves the Device Number.
    `CWE` | `getLoadStatus()` Retrieves the Load Status.
    `EI` | `getLotNumber()` Retrieves the Lot Number.
    `ST` | `getOperatorName()` Retrieves the Operator Name.
    `void` | `setControlCode(NM objControlCode)` Set the Control Code.
    `void` | `setControlCode(java.lang.String strControlCode)` Set the Control Code.
    `void` | `setDeviceDataState(CWE objDeviceDataState)` Set the Device Data State.
    `void` | `setDeviceDataState(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Device Data State.
    `void` | `setDeviceName(ST objDeviceName)` Set the Device Name.
    `void` | `setDeviceName(java.lang.String strDeviceName)` Set the Device Name.
    `void` | `setDeviceNumber(EI objDeviceNumber)` Set the Device Number.
    `void` | `setDeviceNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Device Number.
    `void` | `setLoadStatus(CWE objLoadStatus)` Set the Load Status.
    `void` | `setLoadStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Load Status.
    `void` | `setLotNumber(EI objLotNumber)` Set the Lot Number.
    `void` | `setLotNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Lot Number.
    `void` | `setOperatorName(ST objOperatorName)` Set the Operator Name.
    `void` | `setOperatorName(java.lang.String strOperatorName)` Set the Operator Name.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SDD

          public SDD()

      Constructs the SDD segment.

  - ### Method Detail

    - #### getLotNumber

          public EI getLotNumber()

      Retrieves the Lot Number. A unique number associated with an instance of a sterilization/decontamination cycle assigned by the instrument-tracking system.
      Returns:
        EI - lotNumber

    - #### getDeviceNumber

          public EI getDeviceNumber()

      Retrieves the Device Number. The number of the device (e.g., 01 VAC).
      Returns:
        EI - deviceNumber

    - #### getDeviceName

          public ST getDeviceName()

      Retrieves the Device Name. The name of the device associated with the device number in SDD-2 (e.g., 01 VAC).
      Returns:
        ST - deviceName

    - #### getDeviceDataState

          public CWE getDeviceDataState()

      Retrieves the Device Data State. The state of data being sent, i.e., historic data of the cycle or a real-time snapshot of the current value of the cycle data.
      Returns:
        CWE - deviceDataState

    - #### getLoadStatus

          public CWE getLoadStatus()

      Retrieves the Load Status. The status of the load.
      Returns:
        CWE - loadStatus

    - #### getControlCode

          public NM getControlCode()

      Retrieves the Control Code. A code to command the device to send cycle data from the previous load to the instrument-tracking system.
      Returns:
        NM - controlCode

    - #### getOperatorName

          public ST getOperatorName()

      Retrieves the Operator Name. The person who started the device load for the decontamination/sterilization process.
      Returns:
        ST - operatorName

    - #### setLotNumber

          public void setLotNumber(java.lang.String strEntityIdentifier,
                          java.lang.String strNamespaceId,
                          java.lang.String strUniversalId,
                          java.lang.String strUniversalIdType)

      Set the Lot Number. A unique number associated with an instance of a sterilization/decontamination cycle assigned by the instrument-tracking system.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setLotNumber

          public void setLotNumber(EI objLotNumber)

      Set the Lot Number. A unique number associated with an instance of a sterilization/decontamination cycle assigned by the instrument-tracking system.
      Parameters:
        `objLotNumber` - Object of Lot Number

    - #### setDeviceNumber

          public void setDeviceNumber(java.lang.String strEntityIdentifier,
                             java.lang.String strNamespaceId,
                             java.lang.String strUniversalId,
                             java.lang.String strUniversalIdType)

      Set the Device Number. The number of the device (e.g., 01 VAC).
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setDeviceNumber

          public void setDeviceNumber(EI objDeviceNumber)

      Set the Device Number. The number of the device (e.g., 01 VAC).
      Parameters:
        `objDeviceNumber` - Object of Device Number

    - #### setDeviceName

          public void setDeviceName(java.lang.String strDeviceName)

      Set the Device Name. The name of the device associated with the device number in SDD-2 (e.g., 01 VAC).
      Parameters:
        `strDeviceName` - Used as Device Name.

    - #### setDeviceName

          public void setDeviceName(ST objDeviceName)

      Set the Device Name. The name of the device associated with the device number in SDD-2 (e.g., 01 VAC).
      Parameters:
        `objDeviceName` - Object of Device Name.

    - #### setDeviceDataState

          public void setDeviceDataState(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Device Data State. The state of data being sent, i.e., historic data of the cycle or a real-time snapshot of the current value of the cycle data.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDeviceDataState

          public void setDeviceDataState(CWE objDeviceDataState)

      Set the Device Data State. The state of data being sent, i.e., historic data of the cycle or a real-time snapshot of the current value of the cycle data.
      Parameters:
        `objDeviceDataState` - Object of Device Data State.

    - #### setLoadStatus

          public void setLoadStatus(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Load Status. The status of the load.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLoadStatus

          public void setLoadStatus(CWE objLoadStatus)

      Set the Load Status. The status of the load.
      Parameters:
        `objLoadStatus` - Object of Load Status.

    - #### setControlCode

          public void setControlCode(java.lang.String strControlCode)

      Set the Control Code. A code to command the device to send cycle data from the previous load to the instrument-tracking system.
      Parameters:
        `strControlCode` - Use as Control Code

    - #### setControlCode

          public void setControlCode(NM objControlCode)

      Set the Control Code. A code to command the device to send cycle data from the previous load to the instrument-tracking system.
      Parameters:
        `objControlCode` - Use as Control Code

    - #### setOperatorName

          public void setOperatorName(java.lang.String strOperatorName)

      Set the Operator Name. The person who started the device load for the decontamination/sterilization process.
      Parameters:
        `strOperatorName` - Used as Operator Name.

    - #### setOperatorName

          public void setOperatorName(ST objOperatorName)

      Set the Operator Name. The person who started the device load for the decontamination/sterilization process.
      Parameters:
        `objOperatorName` - Object of Operator Name.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails